Subject: [bug#77528] [bug#77525] [PATCH v4 2/6] system: /etc/profile: Rearrange to avoid search path duplication.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 15 Apr 2025 17:05:02 +0200

宋文武 <[email-masked]> writes:

> Hi, Sorry for that, it seems I had leave it partly commited in, without
> a news entry and documentation.  The change about
> /etc/skel/.bash_profile in commit 40310e is to provide a sensible
> default to merge multiple profiles, which will fix
> <https://issues.guix.gnu.org/20255>.  Users can easily change his own
> ~/.bash_profile to not invoke 'guix package', to avoid merge multiple
> profiles.
>
> Now I think it's better to remove it as the patch did, so we default to
> not merge search paths from multiple profiles,

OK, I see.

Any thoughts on the patch series Hilton submitted?

  https://issues.guix.gnu.org/77035

Thanks for your feedback,
Ludo’.